Skip to main content
GET
/
tokens
Get tokens
curl --request GET \
  --url https://api.opal.dev/v1/tokens \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.opal.dev/v1/tokens"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.opal.dev/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
  "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
  "results": [
    {
      "token_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
      "created_at": "2022-01-23T04:56:07.000Z",
      "token_label": "My API Token",
      "creator_user_id": "d4a7d928-783e-4599-8ec6-088d635a5bcc",
      "user_id": "d4a7d928-783e-4599-8ec6-088d635a5bcc",
      "access_level": "READ_ONLY"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string

The pagination cursor value.

page_size
integer

Number of results to return per page. Default is 200.

Required range: x <= 1000
token_ids
string<uuid>[]

Filter by token IDs.

user_id
string<uuid>

Filter by user ID.

Response

200 - application/json

A list of API tokens for your organization.

results
object[]
required
next
string | null

The cursor with which to continue pagination if additional result pages exist.

Example:

"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"

previous
string | null

The cursor used to obtain the current result page.

Example:

"cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ"

Last modified on July 10, 2026